
Foreman - Bug #26497

Operating system generation from puppet facts

04/01/2019 09:25 AM - Richard Stempfl

Status: New   

Priority: Normal   

Assignee:    

Category: Facts   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases: 1.20.0

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Puppet sends facts to Foreman. Foreman will create an exact OS version from this information as stated in the facts.

This is not what Foreman should do.

History

#1 - 04/02/2019 08:07 AM - Lukas Zapletal

- Category set to Facts

- Triaged changed from No to Yes

Hello, it is confusing indeed.

#2 - 03/23/2021 08:05 AM - Marek Hulán

For the record, this behavior can be disabled through settings.
